<?php

/**
* SHUTTLE
*/
class camp_shuttle_type 
{
	private $cst_id;
	private $cst_name;
	private $cst_deleted;

    /**
     * Gets the value of cst_id.
     *
     * @return mixed
     */
    public function get_cst_id()
    {
        return $this->cst_id;
    }

    /**
     * Sets the value of cst_id.
     *
     * @param mixed $cst_id the cst id
     *
     * @return self
     */
    private function set_cst_id($cst_id)
    {
        $this->cst_id = $cst_id;

        return $this;
    }

    /**
     * Gets the value of cst_name.
     *
     * @return mixed
     */
    public function get_cst_name()
    {
        return $this->cst_name;
    }

    /**
     * Sets the value of cst_name.
     *
     * @param mixed $cst_name the cst name
     *
     * @return self
     */
    private function set_cst_name($cst_name)
    {
        $this->cst_name = $cst_name;

        return $this;
    }

    private function set_cst_deleted($_item) {
    	$this->cst_deleted = $_item;
    }

    public function get_cst_deleted($_item) {
    	return $this->cst_deleted;
    }

    public function set_cst_data_by_id($_cst_id) {
		global $sql;
		$cst_assoc_array = $sql->assoc_array("select * from camp_shuttle_type where cst_id = " . $_cst_id);
		$cst_array = $cst_assoc_array[0];
        //alapadatok
		foreach ($cst_array as $field => $value) {
			$function_name = "set_" . $field;
			$this->$function_name($value);
		}

	}
}


?>